Can't install h264ify

General discussion, compatibility and contributed extensions.

Moderators: FranklinDM, Lootyhoof

Locked
Eluandar

Can't install h264ify

Post by Eluandar » 2017-04-02, 15:26

Pale Moon version: 27.2.1 (32-bit) (Linux)

Hey guys,
I can't install h264ify --> https://addons.mozilla.org/en-US/firefox/addon/h264ify/

It says: "h264ify could not be installed because it is a Jetpack/SDK extension which are not supported in Pale Moon 27.2.1"

I found this website (http://developer.palemoon.org/Add-ons:E ... ns/Jetpack) and I tried to change "package.json".
At first I downloaded the .zip file of h264ify for Firefox (https://github.com/erkserkserks/h264ify-firefox) and followed the instructions from the website
but unfortunately I can't load the extension because it always says: "This add-on could not be installed because it appears to be corrupt".

I am not a programmer and don't know how to handle this problem..
Hopefully there is someone who can help me..

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2219
Joined: 2012-06-28, 01:20

Re: Can't install h264ify

Post by ron_1 » 2017-04-02, 16:56

You can try installing it via the "Moon Tester Tool" found here.

But be forewarned:
Warning! Moon Tester Tool is intended for advanced users and for test purposes only!

Installation of improper extensions or themes may break the browser and lead to the damage or loss of data. You can't expect or ask for any support of extensions and themes installed via Moon Tester Tool neither from its authors, nor from developers of the browser.

edrtf20
Apollo supporter
Apollo supporter
Posts: 48
Joined: 2014-10-11, 18:15
Location: A dark cave

Re: Can't install h264ify

Post by edrtf20 » 2017-04-02, 17:09

At first I downloaded the .zip file of h264ify for Firefox
I take it that you renamed the .zip to .xpi ?
If so, you may be missing the install.rdf as it isn't included in the .zip

Eluandar

Re: Can't install h264ify

Post by Eluandar » 2017-04-02, 17:14

helloimustbegoing wrote:You can try installing it via the "Moon Tester Tool" found here.

But be forewarned:
Warning! Moon Tester Tool is intended for advanced users and for test purposes only!

Installation of improper extensions or themes may break the browser and lead to the damage or loss of data. You can't expect or ask for any support of extensions and themes installed via Moon Tester Tool neither from its authors, nor from developers of the browser.
I already installed Moon Tester Tool but I don't really know how to use it.
I opened "Preferences" and "Select File" and chose the .xpi file I created but sadly nothing happens.

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2219
Joined: 2012-06-28, 01:20

Re: Can't install h264ify

Post by ron_1 » 2017-04-02, 17:24

Install the original xpi file. Trying to install your altered one defeats the purpose of the Moon Tester Tool.

Eluandar

Re: Can't install h264ify

Post by Eluandar » 2017-04-02, 17:26

helloimustbegoing wrote:Install the original xpi file. Trying to install your altered one defeats the purpose of the Moon Tester Tool.
I tried to install the original xpi file by clicking on "Select File" and choosing the original .xpi file but still nothing happens.
Is it right to just rename .zip to .xpi ?

User avatar
JustOff
Localization Coordinator
Localization Coordinator
Posts: 1994
Joined: 2015-09-03, 19:47
Location: UA
Contact:

Re: Can't install h264ify

Post by JustOff » 2017-04-02, 17:33

Eluandar wrote:I can't install h264ify --> https://addons.mozilla.org/en-US/firefox/addon/h264ify/
You don't need this add-on in Pale Moon, just make sure that "Enable MSE for WebM video" is unchecked under Options/Content. You can see actual codec used by YouTube player using "Stats for nerds" from video context menu. There should be avc1.4d401f of similar and not vp8/vp9.
Here are the add-ons I made in a spare time. That was fun!

Eluandar

Re: Can't install h264ify

Post by Eluandar » 2017-04-02, 19:56

JustOff wrote:
Eluandar wrote:I can't install h264ify --> https://addons.mozilla.org/en-US/firefox/addon/h264ify/
You don't need this add-on in Pale Moon, just make sure that "Enable MSE for WebM video" is unchecked under Options/Content. You can see actual codec used by YouTube player using "Stats for nerds" from video context menu. There should be avc1.4d401f of similar and not vp8/vp9.
Okay, thank you.
I would still like to have the "block 60fps" option. At least I could disable MSE.

User avatar
JustOff
Localization Coordinator
Localization Coordinator
Posts: 1994
Joined: 2015-09-03, 19:47
Location: UA
Contact:

Re: Can't install h264ify

Post by JustOff » 2017-04-03, 14:16

Eluandar wrote:I would still like to have the "block 60fps" option. At least I could disable MSE.
Then use Moon Tester Tool to install xpi downloaded from AMO as suggested above. My brief test shows that h264ify loads fine using this way. Unfortunately I can't find any clip on YouTube that actually renders at 60fps in Pale Moon to verify if h264ify can prevent this.
Here are the add-ons I made in a spare time. That was fun!

Eluandar

Re: Can't install h264ify

Post by Eluandar » 2017-04-04, 14:47

JustOff wrote:
Eluandar wrote:I would still like to have the "block 60fps" option. At least I could disable MSE.
Then use Moon Tester Tool to install xpi downloaded from AMO as suggested above. My brief test shows that h264ify loads fine using this way. Unfortunately I can't find any clip on YouTube that actually renders at 60fps in Pale Moon to verify if h264ify can prevent this.
Thank you, it works now.
I guess it was wrong to download h264ify from GitHub.

User avatar
JustOff
Localization Coordinator
Localization Coordinator
Posts: 1994
Joined: 2015-09-03, 19:47
Location: UA
Contact:

Re: Can't install h264ify

Post by JustOff » 2017-04-05, 09:37

Eluandar wrote:Thank you, it works now.
Could you share any example of clip where h264ify actually prevents from rendering at 60fps?
Here are the add-ons I made in a spare time. That was fun!

Eluandar

Re: Can't install h264ify

Post by Eluandar » 2017-04-05, 10:27

JustOff wrote:
Eluandar wrote:Thank you, it works now.
Could you share any example of clip where h264ify actually prevents from rendering at 60fps?
Try this one:

https://www.youtube.com/watch?v=vW4C4LNwu-A

User avatar
JustOff
Localization Coordinator
Localization Coordinator
Posts: 1994
Joined: 2015-09-03, 19:47
Location: UA
Contact:

Re: Can't install h264ify

Post by JustOff » 2017-04-05, 11:34

Eluandar wrote:Try this one: https://www.youtube.com/watch?v=vW4C4LNwu-A
Thanks, it works there.

But I have to warn you that h264ify has potential security hole because it exposes its chrome script to the web without any wrappers. Fortunately it does so only for '*.youtube.com' and we can expect that no malicious scripts will be there, but anyway it's quite unsafe.
Here are the add-ons I made in a spare time. That was fun!

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7597
Joined: 2012-10-09, 19:37
Location: Just beyond the Lament Configuration

Re: Can't install h264ify

Post by New Tobin Paradigm » 2017-04-05, 11:50

Perhaps this extension needs added to the blocklist...
Image
- Welcome to the worst nightmare of all... reality! -

User avatar
JustOff
Localization Coordinator
Localization Coordinator
Posts: 1994
Joined: 2015-09-03, 19:47
Location: UA
Contact:

Re: Can't install h264ify

Post by JustOff » 2017-04-05, 13:53

Eluandar wrote:Thank you, it works now.
I've added control of 60fps and WebM Video to HTML5 Media Tuner so you should consider it as safe replacement of h264ify that also works not only on YouTube.
Here are the add-ons I made in a spare time. That was fun!

Eluandar

Re: Can't install h264ify

Post by Eluandar » 2017-04-05, 16:37

JustOff wrote:
Eluandar wrote:Thank you, it works now.
I've added control of 60fps and WebM Video to HTML5 Media Tuner so you should consider it as safe replacement of h264ify that also works not only on YouTube.
Cool, thanks a lot! :thumbup:

Locked